Bug 64523 - installer hangs or crashes on anaconda
installer hangs or crashes on anaconda
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-06 22:48 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:48:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-06 22:48:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 4.01; Windows NT)

Description of problem:
On a 486 with no LBA support (except for Maxtor's MaxBlast firmware) Linux 7.2 
will not install.  Tried various configurations and various partition sizes and 
locations.  Twice it hung on dev-3 package installation, other times with 
anaconda crash and details, others with badly laid out shutdown screen with 
blue background.  Note that this same machine had a Redhat Linux 6.2 install 
which was lost during installation formatting.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Insert floppy and CD
2.Reboot
3.Run Install 
	

Actual Results:  see description

Expected Results:  Installed OS with bootable harddrive

Additional info:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 620, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/text.py", line 408, in run
    dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 143, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 489, in doInstall
    l.sort(sortPackages)
  File "/usr/lib/anaconda/packages.py", line 294, in sortPackages
    elif (string.lower(first[rpm.RPMTAG_NAME])
TypeError: read-only character buffer, None

Local variables in innermost frame:
one: 0
two: 0
second: XFree86-xdm
first: XFree86-75dpi-fonts
Comment 1 Michael Fulbright 2002-05-07 17:38:30 EDT
Please boot the installer with the commandline 'linux mediacheck' to verify your
CDs.
Comment 2 Michael Fulbright 2002-06-12 13:05:23 EDT
Closing due to inactivity - please reopen if you have additional information to add.
Comment 3 Red Hat Bugzilla 2006-02-21 13:48:49 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.